Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.server.wadl.generators.resourcedoc.model
Class ParamDocType

    java.lang.Object
      com.sun.jersey.server.wadl.generators.resourcedoc.model.ParamDocType

    public class ParamDocType

extends java.lang.Object

The documentation type for method params.
Created on: Jun 12, 2008

Version:
  $Id$
Author:
  Martin Grotzke

Field Summary
`protected java.util.List<AnnotationDocType>` | `annotationDoc`

Constructor Summary
`ParamDocType()`

Method Summary
`java.util.List<AnnotationDocType>` | `getAnnotationDocs()`
`java.util.List<java.lang.Object>` | `getAny()`
`java.lang.String` | `getCommentText()`
`java.lang.String` | `getParamName()`
`void` | `setCommentText(java.lang.String commentText)`
`void` | `setParamName(java.lang.String paramName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### annotationDoc

    protected java.util.List<AnnotationDocType> annotationDoc

Constructor Detail

### ParamDocType

    public ParamDocType()

Method Detail

### getAnnotationDocs

    public java.util.List<AnnotationDocType> getAnnotationDocs()

### getAny

    public java.util.List<java.lang.Object> getAny()

### getCommentText

    public java.lang.String getCommentText()

  Returns:
    the commentText

### setCommentText

    public void setCommentText(java.lang.String commentText)

  Parameters:
    `commentText` - the commentText to set

### getParamName

    public java.lang.String getParamName()

  Returns:
    the className

### setParamName

    public void setParamName(java.lang.String paramName)

  Parameters:
    `paramName` - the className to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.